#!/usr/bin/python

import sys, os#, re, pp, math, time, shutil, glob
sys.path.append('/usr/local/vips/lib/python2.6/site-packages')
sys.path.append('/usr/local/vips/lib/python2.6/site-packages/vipsCC')
from vipsCC import *

## Make a new 8-bit pyramidal tif 
def makeNewPyr(pathIn, pathOut, comp):
	imx = 0
	imy = 0
	tilesize = "256"
	do = 0
	
	if (comp > 0):
		if (comp > 100):
			comp = 100
		ptag = ":jpeg:"+str(comp)+",tile:"+str(tilesize)+"x"+str(tilesize)+",pyramid";
	else:
		ptag = ":tile:"+str(tilesize)+"x"+str(tilesize)+",pyramid";

	if not os.path.isfile(pathOut):
		try:
			print "Processing: "+pathIn
			im = VImage.VImage (pathIn)
			imBands = im.Bands()
			imBFmt = im.BandFmt()
			imType = im.Type()
			imx = im.Xsize()
			imy = im.Ysize()			
			if imBands == 1 and imBFmt == 2 and imType == 26:
				im = (im.lin (0.004,0)).clip()
				#im = im.bandjoin (im).bandjoin (im)
			elif imBands == 3 and imBFmt == 2 and imType == 25:
				im = (im.lin (0.004,0)).clip()
			im.write (pathOut+ptag)
			do = do + 1
		except VError.VError, e:
			return -1	
	return do

########################################################################
## Actually do stuff
########################################################################

makeNewPyr(sys.argv[1], sys.argv[2], 75)
